node.js exit if curl missing

pull/337/head
Botspot 3 years ago
parent d21678b3d2
commit dd65c94e9b

@ -12,7 +12,12 @@ if [ ! -z "$(cat /proc/cpuinfo | grep ARMv6)" ];then
error "armv6 cpu not supported"
fi
"${DIRECTORY}/pkg-install" "curl" "$(dirname "$0")" || exit 1
if ! command -v curl >/dev/null ; then
echo -e "\033[0;31mcurl: command not found.\e[39m
You need to install curl first. If you are on a debian system, this command should install it:
\e[4msudo apt install curl\e[0m"
exit 1
fi
#Add NodeSource repo:
curl -sL https://deb.nodesource.com/setup_15.x | sudo -E bash - || error "Failed to add Nodesource repo!"

Loading…
Cancel
Save